# gfarm_url_hosts_schedule

## Name

gfarm_url_hosts_schedule -- schedule filesystem nodes using file-affinity scheduling

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfarm_url_hosts_schedule``(char * `gfarm_url`, char * `option`, int * `nhostsp`, char *** `hostsp`);`

## DESCRIPTION

The `gfarm_url_hosts_schedule()` function schedules filesystem nodes using file-affinity scheduling with a Gfarm file `gfarm_url`, and returns an array of filesystem hostnames `hostsp` and the number of scheduled hosts `nhostsp`. The returned array of hostnames `hostsp` should be free'ed with gfarm_strings_free_deeply(3).

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## NOTES

The argument `option` is reserved to specify options for scheduling, although it is not used in the current implementation.